Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.webwork
Class BambooHttpServlet

    java.lang.Object
      HttpServlet
          com.atlassian.bamboo.webwork.BambooHttpServlet

    public abstract class BambooHttpServlet

extends HttpServlet

Simply forwards both post and get requests to a generic process action.

Constructor Summary
`BambooHttpServlet()`

Method Summary
`void` | `doGet(HttpServletRequest request, HttpServletResponse response)` Can process commands as gets
`void` | `doPost(HttpServletRequest request, HttpServletResponse response)` Can process commands as posts
`protected abstract void` | `doProcess(HttpServletRequest request, HttpServletResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BambooHttpServlet

    public BambooHttpServlet()

Method Detail

### doGet

    public void doGet(HttpServletRequest request,
                      HttpServletResponse response)
               throws IOException,
                      ServletException

  Can process commands as gets

  Throws:
    `IOException`
    `ServletException`

### doPost

    public void doPost(HttpServletRequest request,
                       HttpServletResponse response)
                throws IOException,
                       ServletException

  Can process commands as posts

  Throws:
    `IOException`
    `ServletException`

### doProcess

    protected abstract void doProcess(HttpServletRequest request,
                                      HttpServletResponse response)
                               throws IOException,
                                      ServletException

  Throws:
    `IOException`
    `ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.